## zfs-linux 0.6.4.2

=== debian/changelog ===
zfs-linux (0.6.4.2-0ubuntu1) wily; urgency=medium

  [ Colin Ian King ]
  * Linux 4.2 compat: bdi_setup_and_register()
  * Linux 4.2 compat: remove bio->bi_cnt access
  * Linux 4.2 compat: follow_link() / put_link()
  * update debian/gbp.conf from vivid to wily
  * update Standards-Version to 3.9.6
  * fix dep5-copyright-license-name-not-unique warning
  * prepared for Ubuntu Wily upload

  [ Iain Lane ]
  * Drop the upstart integration; this was causing various lintian errors and
    required some fixing up - we use systemd in wily anyway.
  * Copy the debian/copyright file as it is slightly more correct.
  * Install the bash-completion files in the (new) correct directory.
  * Don't handle upgrades from non-archive packages.
  * Add Depends from the -dev package to all libraries which we ship .so files
    for.
  * Don't ship .la files.
  * Make some packages Architecture: all where they don't ship architecture
    dependent files.

 -- Colin Ian King <colin.king@canonical.com>  Wed, 14 Oct 2015 15:46:29 +0100

zfs-linux (0.6.4.2-0~vivid) vivid; urgency=low

  [ Brian Behlendorf ]
  * Wait in libzfs_init() for the /dev/zfs device
  * Use ExecStartPre to load zfs modules
  * Wait interruptibly in prefetch thread

  [ Tim Chase ]
  * Linux 3.12 compat: NUMA-aware per-superblock shrinker

  [ Matus Kral ]
  * Linux 4.1 compat: use read_iter() / write_iter()

  [ Brian Behlendorf ]
  * Add zfs_sb_prune_aliases() function

  [ Chris Dunlop ]
  * Wait for all znodes to be released before tearing down the superblock

  [ tuxoko ]
  * Add cond_resched to zfs_zget to prevent infinite loop

  [ Ned Bass ]
  * Serialize access to spa->spa_feat_stats nvlist
  * Tag zfs-0.6.4.2

  [ Darik Horn ]
  * Refresh debian/patches after upstream merge.

 -- Darik Horn <dajhorn@vanadac.com>  Thu, 09 Jul 2015 22:42:29 -0400

zfs-linux (0.6.4.1-1~vivid) vivid; urgency=low

  [ Tim Chase ]
  * Allocate zfs_znode_cache on the Linux slab

  [ Brian Behlendorf ]
  * Mark additional functions as PF_FSTRANS

  [ Chris Dunlap ]
  * Fix io-spare.sh to work with disk vdevs

  [ Brian Behlendorf ]
  * Extend PF_FSTRANS critical regions
  * Tag zfs-0.6.4.1

 -- Darik Horn <dajhorn@vanadac.com>  Fri, 24 Apr 2015 16:42:15 -0500

zfs-linux (0.6.4-3~vivid) vivid; urgency=low

  [ SenH ]
  * Fix man zpool property feature_guid

  [ Turbo Fredriksson ]
  * Add information about the -o option to zpool replace

  [ Brian Behlendorf ]
  * Improve differing sector size error

  [ Tim Chase ]
  * Comment the lack of real_LZ4_uncompress()

  [ Dan McDonald ]
  * Illumos #4936 fix potential overflow in lz4

  [ Tim Chase ]
  * Return default value on numeric properties failing the "head check.
  * Document the optional "device" argument for "zpool split"

  [ Garrison Jensen ]
  * Fix comment spelling errors.

  [ Andrew Barnes ]
  * Preserve asize when last mirror child promoted to top-level vdev

  [ Matthew Ahrens ]
  * Illumos #3641 compressed block histograms with zdb

  [ Tim Chase ]
  * Convert zfs_mg_noalloc_threshold to a module parameter and document

  [ George Wilson ]
  * Illumos 4168, 4169, 4170: ztest, zdb and zhack fixes

  [ Richard Yao ]
  * zdb: Introduce -V for verbatim import

  [ Brian Behlendorf ]
  * Fix zil_commit() NULL dereference

  [ Prakash Surya ]
  * Move metaslab_group_alloc_update() call

  [ George Wilson ]
  * Illumos #4101, #4102, #4103, #4105, #4106
  * Illumos #4730 destroy metaslab group taskq
  * Illumos #4756 Fix metaslab_group_preload deadlock

  [ Brian Behlendorf ]
  * zfs_trunc() should use dmu_tx_assign(tx, TXG_WAIT)

  [ Jan Engelhardt ]
  * Do not attempt access beyond the declared end of the dn_blkptr array

  [ Brian Behlendorf ]
  * Revert "Disable GCCs aggressive loop optimization"
  * zpool-create.sh: allow features to be disabled

  [ Turbo Fredriksson ]
  * Initial attempt to document events and payloads.
  * Support '-H' (scripted mode) to 'zpool get' (Closes: #2522)

  [ Brian Behlendorf ]
  * Remove patches directory

  [ Matthew Ahrens ]
  * Illumos 4171, 4172

  [ Max Grossman ]
  * Illumos 4370, 4371

  [ Matthew Ahrens ]
  * Illumos 4368, 4369.
  * Illumos #4374

  [ George Wilson ]
  * Illumos 4754, 4755

  [ Tim Chase ]
  * zed needs libzfs_core

  [ Matthew Ahrens ]
  * Illumos 3835 zfs need not store 2 copies of all metadata
  * Illumos 4757, 4913
  * Illumos 4390 - I/O errors can corrupt space map when deleting fs/vol

  [ Saso Kiselkov ]
  * Illumos 4897 - Space accounting mismatch in L2ARC/zpool

  [ Matthew Ahrens ]
  * Illumos 4881 - zfs send performance regression with embedded data
  * Illumos 4914 - zfs on-disk bookmark structure should be named *_phys_t

  [ Turbo Fredriksson ]
  * Add bash completions by Aneurin Price.

  [ Brian Behlendorf ]
  * Use KM_PUSHPAGE in dsl_dataset_rollback_check()
  * Avoid dynamic allocation of 'search zio'
  * Avoid 128K kmem allocations in mzap_upgrade()
  * Add zfs_iput_async() interface
  * Revert "Revert "Revert "Fix unlink/xattr deadlock"""

  [ Alec Salazar ]
  * Replace __va_list with va_list
  * Avoid PAGESIZE redefinition

  [ Evan Susarret ]
  * Correct autodetection of bootfs property

  [ Richard Yao ]
  * Include sys/taskq.h in linux/vfs_compat.h

  [ Turbo Fredriksson ]
  * Create an 'overlay' property (Closes: #2503)

  [ George Wilson ]
  * Illumos 4976-4984 - metaslab improvements

  [ Tim Chase ]
  * Don't upgrade a metaslab when the pool is not writable

  [ Richard Yao ]
  * Drive database update

  [ Matthew Ahrens ]
  * Illumos 4631 - zvol_get_stats triggering too many reads

  [ Isaac Huang ]
  * Fixed memory leaks in zevent handling

  [ Andrew Hamilton ]
  * 2493 change efi_rescan() to wait longer

  [ Matthew Ahrens ]
  * Illumos 5034 - ARC's buf_hash_table is too small
  * Illumos 4970-4974 - extreme rewind enhancements

  [ Brian Behlendorf ]
  * Retire HAVE_IOCTL_* configure checks

  [ Turbo Fredriksson ]
  * Add a pkgconfig file (Closes: #585)

  [ Brian Behlendorf ]

