=== debian/control ===
Source: zfs-linux
Section: kernel
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Darik Horn <dajhorn@vanadac.com>
Build-Depends: autotools-dev,
 autoconf,
 autogen,
 automake,
 debhelper (>= 8),
 dh-autoreconf,
 dkms (>= 2.2.0.2),
 libselinux1-dev,
 libtool,
 uuid-dev,
 zlib1g-dev,
Standards-Version: 3.9.6
Vcs-Git: git://github.com/dajhorn/pkg-zfs.git
Vcs-Browser: http://github.com/dajhorn/pkg-zfs

Package: libnvpair1linux
Section: libs
Architecture: amd64 arm64 ppc64el
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libnvpair0
Description: Solaris name-value library for Linux
 This library provides routines for packing and unpacking nv pairs for
 transporting data across process boundaries, transporting between
 kernel and userland, and possibly saving onto disk files.

Package: libnvpair1linux-dbg
Section: debug
Architecture: amd64 arm64 ppc64el
Depends: ${misc:Depends}, libnvpair1linux (= ${binary:Version})
Replaces: libnvpair0-dbg
Description: Debugging symbols for libnvpair1linux
 This library provides routines for packing and unpacking nv pairs for
 transporting data across process boundaries, transporting between
 kernel and userland, and possibly saving onto disk files.
 .
 This package contains the debugging symbols for libnvpair1linux.

Package: libuutil1linux
Section: libs
Architecture: amd64 arm64 ppc64el
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libuutil0
Description: Solaris userland utility library for Linux
 This library provides a variety of glue functions for OpenZFS on Linux:
  * libspl: The Solaris Porting Layer library, which provides APIs that make it
 possible to run Solaris user code in a Linux environment with relatively
 minimal modification.
  * libavl: The Adelson-Velskii Landis balanced binary tree manipulation
 library.
  * libefi: The Extensible Firmware Interface library for GUID disk
 partitioning.
  * libshare: NFS and SMB service integration for OpenZFS.

Package: libuutil1linux-dbg
Section: debug
Architecture: amd64 arm64 ppc64el
Depends: ${misc:Depends}, libuutil1linux (= ${binary:Version})
Replaces: libuutil0-dbg
Description: Debugging symbols for libuutil1linux
 This library provides a variety of glue functions for OpenZFS on Linux:
  * libspl: The Solaris Porting Layer library, which provides APIs that make it
 possible to run Solaris user code in a Linux environment with relatively
 minimal modification.
  * libavl: The Adelson-Velskii Landis balanced binary tree manipulation
 library.
  * libefi: The Extensible Firmware Interface library for GUID disk
 partitioning.
  * libshare: NFS and SMB service integration for OpenZFS.
 .
 This package contains debugging symbols for libuutil1linux.

Package: libzfslinux-dev
Section: libdevel
Architecture: amd64 arm64 ppc64el
Depends: ${misc:Depends},
         libnvpair1linux (= ${binary:Version}),
         libuutil1linux (= ${binary:Version}),
         libzfs2linux (= ${binary:Version}),
         libzpool2linux (= ${binary:Version})
Provides: libnvpair-dev, libuutil-dev
Replaces: libefi1,
 libnvpair1,
 libshare1,
 libspl1,
 libunicode1,
 libuutil1,
 libzavl1,
 libzfs2,
 libzpool2,
Description: Native OpenZFS filesystem development files for Linux
 Header files and static libraries for compiling software
 against libzfs.

Package: libzfs2linux
Section: libs
Architecture: amd64 arm64 ppc64el
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libzfs0, libzfs1
Description: Native OpenZFS filesystem library for Linux
 The ZFS on Linux management library.

Package: libzfs2linux-dbg
Section: debug
Architecture: amd64 arm64 ppc64el
Depends: ${misc:Depends}, libzfs2linux (= ${binary:Version})
Replaces: libzfs0-dbg, libzfs1-dbg
Description: Debugging symbols for libzfs2
 The ZFS on Linux  management library.
 .
 This package contains the debugging symbols for libzfs2.

Package: libzpool2linux
Section: libs
Architecture: amd64 arm64 ppc64el
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libzpool0, libzpool1
Description: Native OpenZFS pool library for Linux
 The zpool management library.

Package: libzpool2linux-dbg
Section: debug
Architecture: amd64 arm64 ppc64el
Depends: ${misc:Depends}, libzpool2linux (= ${binary:Version})
Replaces: libzpool0-dbg, libzpool1-dbg
Description: Debugging symbols for libzpool2
 The zpool management library.
 .
 This package contains the debugging symbols for libzpool2.

Package: zfs-dkms
Section: kernel
Architecture: amd64 arm64 ppc64el
Pre-Depends: spl-dkms (>= ${source:Upstream-Version})
Depends: ${misc:Depends}, dkms (>= 2.2.0.2)
Replaces: lzfs, lzfs-dkms
Provides: lustre-backend-fs, lzfs, lzfs-dkms
Conflicts: lzfs, lzfs-dkms
Description: Native OpenZFS filesystem kernel modules for Linux
 An advanced integrated volume manager and filesystem that is designed for
 performance and data integrity. Snapshots, clones, checksums, deduplication,
 compression, and RAID redundancy are built-in features.
 .
 Includes the SPA, DMU, ZVOL, and ZPL components of OpenZFS.

Package: zfs-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Native OpenZFS filesystem documentation and examples.
 Shared boilerplate files for OpenZFS on Linux that are not required at runtime.

Package: zfs-initramfs
Section: kernel
Architecture: all
Depends: ${misc:Depends}, zfsutils-linux
Description: Native OpenZFS root filesystem capabilities for Linux
 This package adds OpenZFS to the system initramfs with a hook
 for the initramfs-tools infrastructure.

Package: zfs-zed
Section: admin
Architecture: amd64 arm64 ppc64el
Depends: ${misc:Depends}, ${shlibs:Depends}, zfsutils-linux
Recommends: mail-transport-agent
Replaces: zfsutils-linux
Description: OpenZFS Event Daemon (zed)
 A monitor that automatically runs scripts for OpenZFS kernel events,
 like disk failures.

Package: zfs-zed-dbg
Section: debug
Architecture: amd64 arm64 ppc64el
Depends: ${misc:Depends}, zfs-zed (= ${binary:Version})
Description: Debugging symbols for zfs-zed
 This package contains the debugging symbols for zfs-zed.

Package: zfsutils-linux
Section: admin
Architecture: amd64 arm64 ppc64el
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: zfs-dkms
Suggests: samba-common-bin (>= 3.0.23), nfs-kernel-server, zfs-initramfs
Conflicts: zfs, zfs-fuse
Replaces: zfs
Description: Native OpenZFS management utilities for Linux
 This package provides the zpool and zfs commands that are used to
 manage OpenZFS filesystems.

Package: zfsutils-linux-dbg
Section: debug
Architecture: amd64 arm64 ppc64el
Depends: ${misc:Depends}, zfsutils-linux (= ${binary:Version})
Replaces: zfs-dbg
Description: Debugging symbols for zfsutils-linux
 This package provides the zpool and zfs commands that are used to
 manage OpenZFS filesystems.
 .
 This package contains the debugging symbols for zfsutils-linux
