## zfs-linux 0.6.5.6

=== debian/changelog ===
zfs-linux (0.6.5.6-0ubuntu8) xenial; urgency=medium

  [ Richard Laager ]
  * zfs-initramfs: Set elevator=noop on disks used by the root pool.
    (LP: #1550301)

 -- Colin Ian King <colin.king@canonical.com>  Wed, 13 Apr 2016 11:44:39 +0100

zfs-linux (0.6.5.6-0ubuntu7) xenial; urgency=medium

  * Libraries should not be in /lib, but in /usr/lib (LP: #1569359)

 -- Colin Ian King <colin.king@canonical.com>  Tue, 12 Apr 2016 12:54:17 +0100

zfs-linux (0.6.5.6-0ubuntu6) xenial; urgency=medium

  * Remove adm, admin, staff groups from /etc/sudoers.d/zfs
    (LP: #1532198)

 -- Colin Ian King <colin.king@canonical.com>  Fri, 8 Apr 2016 15:16:39 +0100

zfs-linux (0.6.5.6-0ubuntu5) xenial; urgency=medium

  * Only enable testing on 64 bit arches as these are the ones that ZFS
    officially supports.

 -- Colin Ian King <colin.king@canonical.com>  Tue, 5 Apr 2016 09:37:37 +0100

zfs-linux (0.6.5.6-0ubuntu4) xenial; urgency=medium

  * Drop mail-transport-agent to Suggests, and add default-mta preference.

 -- Colin Ian King <colin.king@canonical.com>  Fri, 1 Apr 2016 19:18:11 +0100

zfs-linux (0.6.5.6-0ubuntu3) xenial; urgency=medium

  * Add support 32 bit FS_IOC32_{GET|SET}FLAGS compat ioctls

 -- Colin Ian King <colin.king@canonical.com>  Wed, 30 Mar 2016 23:08:24 +0000

zfs-linux (0.6.5.6-0ubuntu2) xenial; urgency=medium

  * Fix aarch64 compilation, missing hrtime_t and timestruc_t types

 -- Colin Ian King <colin.king@canonical.com>  Sat, 26 Mar 2016 10:30:41 +0000

zfs-linux (0.6.5.6-0ubuntu1) xenial; urgency=medium

  [ Colin Ian King ]
  * Sync with upstream 0.6.5.6 release
    Remove scripts/zfault.sh from debian/zfs-doc.examples (no longer exists)
    Add libblkid-dev, libattr1-dev build dependencies

  [ Richard Laager ]
  * Scrub all healthy pools monthly (LP: #1548009)

 -- Colin Ian King <colin.king@canonical.com>  Wed, 23 Mar 2016 23:59:33 +0000

zfs-linux (0.6.5.5-0ubuntu1) xenial; urgency=medium

  [ Colin Ian King ]
  * Sync with upstream 0.6.5.5 release

  [ Chad Miller ]
  * Update /lib/udev/rules.d/60-zfs.rules to create symlinks for GRUB
    (LP: #1530953) for cases when the parition type ID is not a "Solaris ZFS"
    /"Apple ZFS" type. Peek at the asserted partition contents, not just the
    container state.

 -- Colin Ian King <colin.king@canonical.com>  Mon, 21 Mar 2016 10:27:11 +0000

zfs-linux (0.6.5.4-0ubuntu6) xenial; urgency=medium

  * cherry-pick 8e85373c1ded7866ae168dde3bd640769c093172 from
    https://github.com/zfsonlinux/zfs/pull/4425.
  * Set architecture to any.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 16 Mar 2016 23:09:55 +0000

zfs-linux (0.6.5.4-0ubuntu5) xenial; urgency=medium

  * cherry-picked c352ec27d5c5ecea8f6af066258dfd106085eaac ('Illumos 6370 -
    ZFS send fails to transmit some holes')
    (LP: #1557151)

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 14 Mar 2016 16:42:44 -0600

zfs-linux (0.6.5.4-0ubuntu4) xenial; urgency=medium

  [ Richard Laager ]
  * Make zed work out-of-the box (LP: #1542276)
    - zfs-zed: Install zed-functions.sh so scriptlets work
    - zfs-zed: Enable most scriptlets on a fresh install.
    - zfs-zed: Email root by default.

 -- Colin Ian King <colin.king@canonical.com>  Wed, 24 Feb 2016 04:49:35 +0000

zfs-linux (0.6.5.4-0ubuntu3) xenial; urgency=medium

  * zfsutils-linux should Recommend zfs-zed (LP: #1547549)

 -- Colin Ian King <colin.king@canonical.com>  Fri, 19 Feb 2016 15:23:11 +0000

zfs-linux (0.6.5.4-0ubuntu2) xenial; urgency=medium

  [ Colin Ian King ]
  * Start ZFS post install with dh_systemd_start (LP: #1542276)
  * Fix perms on initramfs-tools/hooks if they exist
  * install bash completions to usr/share/bash-completion/completions
  * debian/control: add in Homepage field

  [ Richard Laager ]
  * Add /lib/udev/rules.d/60-zfs.rules to create symlinks for GRUB (LP: #1530953)
  * debian/control: Remove incorrect Vcs-Git and Vcs-Browser
  * zfs-initramfs: Re-architect initramfs script
    - Require root=ZFS= syntax.  rpool= and bootfs= are no longer supported.
    - Honor Debian standard rootdelay= kernel command-line option instead of
      ZFS_INITRD_PRE_MOUNTROOT_SLEEP.
    - Use standard panic function, which honors the Debian standard panic=
      kernel command-line option.
    - Stop force importing the pool.
    - Add debian/zfs-initramfs.postinst to apply udev rules without a reboot
    - Update 60-zpool.rules to match on partition type to trigger on the 
      initial pool creation.

 -- Colin Ian King <colin.king@canonical.com>  Tue, 9 Feb 2016 09:14:44 +0000

zfs-linux (0.6.5.4-0ubuntu1) xenial; urgency=medium

  * Sync with upstream 0.6.5.4 release

 -- Colin Ian King <colin.king@canonical.com>  Fri, 29 Jan 2016 11:48:00 +0000

zfs-linux (0.6.5.3-0ubuntu6) xenial; urgency=medium

  * zfs-initramfs: Support GRUB's native root=ZFS= (LP: #1530953)
    - from https://github.com/zfsonlinux/pkg-zfs/pull/140 (Richard Laager)
  * debian/control: Add missing "Provides: zfs" (LP: #1535428)

 -- Colin Ian King <colin.king@canonical.com>  Thu, 21 Jan 2016 11:09:01 +0000

zfs-linux (0.6.5.3-0ubuntu5) xenial; urgency=medium

  * Add adt smoke tests checking basic core ZFS functionality

 -- Colin Ian King <colin.king@canonical.com>  Mon, 11 Jan 2016 16:25:00 +0000

zfs-linux (0.6.5.3-0ubuntu4) xenial; urgency=medium

  * Add dependency on dh-systemd for zfs-linux (LP: #1521952)
   - Add installinit rules for zed, zfs, mounting and import cache/scan
   - Copy zfs.target to /lib/systemd/system
   - Add bash completion rules
   - Add zed systemd service control
   - Add zfs shared systemd service control
   - Add zfs mount systemd service control
   - Add zfs import scan systemd service control
   - Add zfs import cache systemd service control

 -- Colin Ian King <colin.king@canonical.com>  Wed, 2 Dec 2015 16:50:00 +0000

zfs-linux (0.6.5.3-0ubuntu3) xenial; urgency=medium

  * Build for powerpc64-smp

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 06 Nov 2015 14:20:13 -0700


