=== debian/control ===
--- 
+++ 
@@ -7,20 +7,22 @@
  autoconf,
  autogen,
  automake,
- debhelper (>= 8),
+ debhelper (>= 7),
  dh-autoreconf,
+ dh-systemd,
  dkms (>= 2.2.0.2),
  libselinux1-dev,
  libtool,
  uuid-dev,
  zlib1g-dev,
+ libblkid-dev,
+ libattr1-dev
 Standards-Version: 3.9.6
-Vcs-Git: git://github.com/dajhorn/pkg-zfs.git
-Vcs-Browser: http://github.com/dajhorn/pkg-zfs
+Homepage: https://github.com/zfsonlinux/zfs/releases/tag/zfs-0.6.5.6
 
 Package: libnvpair1linux
 Section: libs
-Architecture: amd64 arm64 ppc64el
+Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Replaces: libnvpair0
 Description: Solaris name-value library for Linux
@@ -30,7 +32,7 @@
 
 Package: libnvpair1linux-dbg
 Section: debug
-Architecture: amd64 arm64 ppc64el
+Architecture: any
 Depends: ${misc:Depends}, libnvpair1linux (= ${binary:Version})
 Replaces: libnvpair0-dbg
 Description: Debugging symbols for libnvpair1linux
@@ -42,7 +44,7 @@
 
 Package: libuutil1linux
 Section: libs
-Architecture: amd64 arm64 ppc64el
+Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Replaces: libuutil0
 Description: Solaris userland utility library for Linux
@@ -58,7 +60,7 @@
 
 Package: libuutil1linux-dbg
 Section: debug
-Architecture: amd64 arm64 ppc64el
+Architecture: any
 Depends: ${misc:Depends}, libuutil1linux (= ${binary:Version})
 Replaces: libuutil0-dbg
 Description: Debugging symbols for libuutil1linux
@@ -76,7 +78,7 @@
 
 Package: libzfslinux-dev
 Section: libdevel
-Architecture: amd64 arm64 ppc64el
+Architecture: any
 Depends: ${misc:Depends},
          libnvpair1linux (= ${binary:Version}),
          libuutil1linux (= ${binary:Version}),
@@ -98,7 +100,7 @@
 
 Package: libzfs2linux
 Section: libs
-Architecture: amd64 arm64 ppc64el
+Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Replaces: libzfs0, libzfs1
 Description: Native OpenZFS filesystem library for Linux
@@ -106,7 +108,7 @@
 
 Package: libzfs2linux-dbg
 Section: debug
-Architecture: amd64 arm64 ppc64el
+Architecture: any
 Depends: ${misc:Depends}, libzfs2linux (= ${binary:Version})
 Replaces: libzfs0-dbg, libzfs1-dbg
 Description: Debugging symbols for libzfs2
@@ -116,7 +118,7 @@
 
 Package: libzpool2linux
 Section: libs
-Architecture: amd64 arm64 ppc64el
+Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Replaces: libzpool0, libzpool1
 Description: Native OpenZFS pool library for Linux
@@ -124,7 +126,7 @@
 
 Package: libzpool2linux-dbg
 Section: debug
-Architecture: amd64 arm64 ppc64el
+Architecture: any
 Depends: ${misc:Depends}, libzpool2linux (= ${binary:Version})
 Replaces: libzpool0-dbg, libzpool1-dbg
 Description: Debugging symbols for libzpool2
@@ -134,7 +136,7 @@
 
 Package: zfs-dkms
 Section: kernel
-Architecture: amd64 arm64 ppc64el
+Architecture: any
 Pre-Depends: spl-dkms (>= ${source:Upstream-Version})
 Depends: ${misc:Depends}, dkms (>= 2.2.0.2)
 Replaces: lzfs, lzfs-dkms
@@ -164,9 +166,9 @@
 
 Package: zfs-zed
 Section: admin
-Architecture: amd64 arm64 ppc64el
+Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, zfsutils-linux
-Recommends: mail-transport-agent
+Suggests: default-mta | mail-transport-agent
 Replaces: zfsutils-linux
 Description: OpenZFS Event Daemon (zed)
  A monitor that automatically runs scripts for OpenZFS kernel events,
@@ -174,18 +176,19 @@
 
 Package: zfs-zed-dbg
 Section: debug
-Architecture: amd64 arm64 ppc64el
+Architecture: any
 Depends: ${misc:Depends}, zfs-zed (= ${binary:Version})
 Description: Debugging symbols for zfs-zed
  This package contains the debugging symbols for zfs-zed.
 
 Package: zfsutils-linux
 Section: admin
-Architecture: amd64 arm64 ppc64el
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: zfs-dkms
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: zfs-dkms, zfs-zed
 Suggests: samba-common-bin (>= 3.0.23), nfs-kernel-server, zfs-initramfs
 Conflicts: zfs, zfs-fuse
+Provides: zfs
 Replaces: zfs
 Description: Native OpenZFS management utilities for Linux
  This package provides the zpool and zfs commands that are used to
@@ -193,7 +196,7 @@
 
 Package: zfsutils-linux-dbg
 Section: debug
-Architecture: amd64 arm64 ppc64el
+Architecture: any
 Depends: ${misc:Depends}, zfsutils-linux (= ${binary:Version})
 Replaces: zfs-dbg
 Description: Debugging symbols for zfsutils-linux
