=== debian/rules ===
--- 
+++ 
@@ -64,27 +64,25 @@
 	dh_fixperms
 
 	@# Prevent execute bits from being stripped by the Launchpad pbuilder.
-	$(CHMOD) a+x '$(CURDIR)'/debian/zfsutils-linux/usr/share/initramfs-tools/hooks/*
-	$(CHMOD) a+x '$(CURDIR)'/debian/zfs-initramfs/usr/share/initramfs-tools/hooks/*
+	$(CHMOD) a+x '$(CURDIR)'/debian/zfsutils-linux/usr/share/initramfs-tools/hooks/* \
+		'$(CURDIR)'/debian/zfsutils-linux/usr/lib/zfs-linux/scrub
+	if [ -d '$(CURDIR)'/debian/zfs-initramfs/usr/share/initramfs-tools/hooks ]; then \
+		$(CHMOD) a+x '$(CURDIR)'/debian/zfs-initramfs/usr/share/initramfs-tools/hooks/*; \
+	fi
 
 override_dh_install:
 	@# Exclude the upstream /usr/lib/udev/rules.d files.
 	dh_install -X/rules.d/
 
+	$(INSTALL) -d '$(CURDIR)/debian/zfs-initramfs/lib/udev/rules.d'
+	$(INSTALL) -m 644 '$(CURDIR)/debian/tree/zfs-initramfs/lib/udev/rules.d'/* \
+		'$(CURDIR)/debian/zfs-initramfs/lib/udev/rules.d/'
+
 	@# Ensure that /etc/zfs is in the zfsutils package
 	@# because git has difficulty tracking empty directories.
 	$(INSTALL) -d '$(CURDIR)/debian/zfsutils-linux/etc/zfs/'
+	$(INSTALL) -d '$(CURDIR)/debian/libzfslinux-dev/usr/lib/zfs-linux/'
 
-	@# Resolve lintian errors regarding Debian Policy Manual Section 8.4
-	@# by moving unversioned library links from /lib to /usr/lib in the
-	@# development package. Look at libc6-dev for a packaging example if
-	@# multiarch support ever becomes a concern here.
-	$(INSTALL) -d '$(CURDIR)/debian/libzfslinux-dev/usr/lib/'
-	cd '$(CURDIR)/debian/libzfslinux-dev/lib' && \
-	for ii in $$(find -type l); do \
-	  ln -s "../../lib/$$(readlink "$$ii")" "../usr/lib/$$(basename "$$ii")" \
-	  && rm "$$ii"; \
-	done
 
 	# No need to ship .la files
 	find . -name lib*.la -delete
@@ -93,8 +91,27 @@
 	dh_installdocs --link-doc=zfs-doc
 
 override_dh_installinit:
+	# zfs.target isn't automatically handled by dh_systemd(?)
+	dh_systemd_enable -p zfsutils-linux zfs.target
+
+	@# Install debian/zfs-zed.zed.upstart as /etc/init/zed.conf
+	@# and debian/zfs-zed.zed.service as /lib/systemd/system/zed.service
+	dh_installinit --name=zed
+
+	@# Install debian/zfsutils.zfs.default as /etc/default/zfs.
+	dh_installinit --name=zfs
+
+	@# Install debian/zfsutils.zpool-import.upstart as /etc/init/zpool-import.conf.
+	dh_installinit --name=zpool-import --no-restart-on-upgrade --no-start
+
 	@# Ubuntu runs nfs-kernel-server at sysv sequence 20 80 and iscsitarget at 20 20.
 	dh_installinit --name=zfs-share --no-restart-on-upgrade --no-start -- defaults 25 15
+
+	@# Only for systemd:
+	dh_installinit --name=zfs-import-cache
+	dh_installinit --name=zfs-import-scan
+	dh_installinit --name=zfs-mount
+	dh_systemd_start
 
 override_dh_installudev:
 	dh_installudev --name=zvol --priority=60
