=== debian/tests/control ===
Tests: kernel-smoke-test
Restrictions: needs-root
Depends: @
