## zfs-linux 0.6.5.7

=== debian/changelog ===
zfs-linux (0.6.5.7-1) unstable; urgency=medium

  [ YunQiang Su ]
  * 1002-fix-mips-build.patch: fix builds on mips* archs

  [ Aron Xu ]
  * New upstream release.
  * 1001-Fix-aarch64-compilation.patch: dropped, not needed anymore
  * Merge patches from Ubuntu:
    - 0002-Check-for-META-and-DCH-consistency-in-autoconf.patch
    - 0003-Add-libuutil-to-LIBADD-for-libzfs-and-libzfs_core.patch
    - enable-zed.patch

 -- Aron Xu <aron@debian.org>  Tue, 31 May 2016 14:10:49 +0800

zfs-linux (0.6.5.6-2) unstable; urgency=medium

  [ Aron Xu ]
  * Adding smoke testing scripts from Ubuntu
  * Fix binary module builds
  * Add libblkid-dev, libattr1-dev to build-dep
  * Re-sync source tree
  * Add dh-python to b-d
  * Remove .gitignore files and clean build tree
  * Scrub all healthy pools monthly from Richard Laager

  [ Petter Reinholdtsen ]
  * Copied 1000-ppc64el-endian-support.patch from Ubuntu to fix endian
    build problem on ppc64el
  * Copied 1001-Fix-aarch64-compilation.patch from Ubuntu to fix build
    problem on arm64.
  * Copied 0001-Prevent-manual-builds-in-the-DKMS-source.patch from
    Ubuntu to block manual building in the DKMS source tree.
  * Updated Standards-Version from 3.9.7 to 3.9.8.
  * Bring some files back to the upstream tarball content to get gbp
    buildpackage working.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 12 May 2016 12:19:55 +0200

zfs-linux (0.6.5.6-1) unstable; urgency=medium

  [ Aron Xu ]
  * New upstream version 0.6.5.6.

  [ Petter Reinholdtsen ]
  * Generated new copyright.cme file based on version 0.6.5.6.
  * Updated d/copyright file, add missing BSD licensed init.d scripts, and
    new copyright holders in the new upstream version.
  * Updated Standards-Version from 3.9.6 to 3.9.7.
  * Added myself as uploader.
  * Updated debconf po files based on newest pot file.
  * Correct URL to git repo in d/control.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 26 Mar 2016 07:08:11 +0000

zfs-linux (0.6.5.5-1) unstable; urgency=medium

  * Initial Release (Closes: #686447)

 -- Aron Xu <aron@debian.org>  Sun, 20 Mar 2016 22:57:06 +0800
